[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'CalcForm' (#lcl)

# TCalculatorPanel.WorkingPrecision

Gets the minimum number of precision digits allowed for the DisplayValue on the panel.

## Declaration

Source position: calcform.pas line 82

`public function TCalculatorPanel.WorkingPrecision: Integer;`

## Function result

Number of decimal digits displayed for the floating point DisplayValue.

## Description

WorkingPrecision is an Integer function used to get the number of decimal digits used to format the DisplayValue on the panel. The minimum precision used for the floating point value is 2, but can be increased by setting the value for the Precision property.

## See also

TCalculatorPanel.Precision |  | Number of digits used after the decimal for the Double value in the calculator panel.
TCalculatorPanel.DisplayValue |  | Contains the Double value representing the result (and Text) displayed on the calculator panel.